name: environment_monitoring_app
description: "A new Flutter project."

publish_to: 'none'

version: 1.0.0+1

environment:
  sdk: '>=3.1.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter

  # --- Core Packages ---
  provider: ^6.1.1
  http: ^1.2.1
  intl: ^0.18.1

  # --- Local Storage & Offline Capabilities ---
  shared_preferences: ^2.2.3
  sqflite: ^2.3.3
  path_provider: ^2.1.3
  path: ^1.8.3 # Explicitly added for path manipulation
  connectivity_plus: ^6.0.1

  # --- UI Components & Utilities ---
  cupertino_icons: ^1.0.8
  flutter_svg: ^2.0.9
  google_fonts: ^6.1.0
  dropdown_search: ^5.0.6 # For searchable dropdowns in forms

  # --- Device & Hardware Access ---
  image_picker: ^1.0.7
  file_picker: ^8.0.0+1
  geolocator: ^11.0.0 # For GPS functionality
  image: ^4.1.3 # For image processing (watermarks)
  permission_handler: ^11.3.1
  # --- Added for In-Situ Sampling Module ---
  simple_barcode_scanner: ^0.3.0 # For scanning sample IDs
  #flutter_blue_classic: ^0.0.3     # For Bluetooth sonde connection

  flutter_bluetooth_serial:
    git:
      url: https://github.com/PSTPSYCO/flutter_bluetooth_serial.git
      ref: my-edits

  usb_serial: ^0.5.2               # For USB Serial sonde connection


dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^3.0.0
  flutter_launcher_icons: ^0.13.1

flutter:
  uses-material-design: true

  assets:
    - assets/

flutter_launcher_icons:
  android: true
  ios: true
  image_path: "assets/icon_2_512x512.png"